﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ButtonGadgetColor1
EndEnumeration
;}

UsePNGImageDecoder()

OpenWindow(#Fenetre, 327, 177, 630, 330, "Bouton avec Bordure Epaisse...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)

CreateButtonColor(#ButtonGadgetColor0, 10, 10, 250, 60, "Bouton Défaut Bordure Epaisse", RGBA(0, 0, 255, 255), 0, 1) ; Bouton Coloré Simple.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_Style, #BC_StyleDefault)                                            ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_ThicknessBorderDefautltAndFlat, 20)                                 ; Change l'épaisseur de la Bordure du Bouton.
RedrawButtonColor(#ButtonGadgetColor0)                                                                               ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor1, 10, 75, 250, 60, "Bouton coloré Flat Bordure Epaisse", RGBA(0, 0, 255, 255), 0, 1) ; Bouton Coloré Simple.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_Style, #BC_StyleFlat)                                                    ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_ThicknessBorderDefautltAndFlat, 20)                                      ; Change l'épaisseur de la Bordure du Bouton.
RedrawButtonColor(#ButtonGadgetColor1)                                                                                    ; Redessine le Bouton avec ses nouvelles Valeurs.

Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventTimer = EventTimer()  ; Pour savoir sur quel Timer s'est produit l'évènement.
  EventType = EventType()    ; Pour savoir quel type d'évènement qui s'est produit sur le gadget.
  
  Select Event 
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor0
          
          Select EventType()
              
            Case #PB_EventType_MouseEnter
              
            Case #PB_EventType_MouseLeave
              
            Case #PB_EventType_MouseMove
              
            Case #PB_EventType_LeftButtonDown
              
            Case #PB_EventType_LeftButtonUp
              
            Case #PB_EventType_LeftClick
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = -
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 53
; EnableBuildCount = 0
; EnableExeConstant