﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #OptionGadgetNormale
  #OptionGadgetOvers
  #OptionGadgetPressed
EndEnumeration
;}

OpenWindow(#Fenetre, 327, 177, 655, 330, "Bouton Commandé...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)
SetWindowColor(#Fenetre, RGB(220, 220, 220))
OptionGadget(#OptionGadgetNormale, 15, 80, 100, 15, "Bouton Normale")
OptionGadget(#OptionGadgetOvers, 15, 100, 100, 15, "Bouton Survolé")
OptionGadget(#OptionGadgetPressed, 15, 120, 100, 15, "Bouton Pressé")

SetGadgetState(#OptionGadgetNormale, #True)

CreateButtonColor(#ButtonGadgetColor0, 10, 10, 175, 60, "Bouton Commande", RGBA(0, 0, 255, 150), 0, 1) ; Bouton Style simple.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_DefautBorderColorNoActivate, RGBA(0, 0, 255, 255))    ; Change la couleur de la Bordure du Bouton Normal.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))      ; Change la couleur de la Bordure du Bouton Activé (Interupteur On).
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_ColorMaskButtonOver, RGBA(255, 200, 0, 50))           ; Change la Couleur du Masque du Bouton quand la Souris passe sur le Bouton.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_ColorMaskButtonClick, RGBA(255, 0, 25, 50))           ; Change la Couleur du Masque du Bouton celui-ci est Pressé.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_ColorCorners, RGBA(220, 220, 220, 255))               ; Change la couleur des Coins du Bouton.
RedrawButtonColor(#ButtonGadgetColor0)                                                                 ; Redessine le Bouton avec ses nouvelles Valeurs.

Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventType = EventType()    ; Le type d'évènement qui s'est produit sur le gadget.
  
  Select Event
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor0
          
          Select EventType()
              
            Case #PB_EventType_MouseMove
              
            Case #PB_EventType_MouseEnter

            Case #PB_EventType_MouseLeave

            Case #PB_EventType_LeftButtonDown

            Case #PB_EventType_LeftButtonUp

            Case #PB_EventType_LeftClick
              
          EndSelect
          
        Case #OptionGadgetNormale
          ButtonColorSendCommand(#ButtonGadgetColor0, #BC_CommandeNormal)  ; Envoie une Commande Personnalisé au Bouton.
          
        Case #OptionGadgetOvers
          ButtonColorSendCommand(#ButtonGadgetColor0, #BC_CommandeOver)    ; Envoie une Commande Personnalisé au Bouton.
          
        Case #OptionGadgetPressed
          ButtonColorSendCommand(#ButtonGadgetColor0, #BC_CommandePressed) ; Envoie une Commande Personnalisé au Bouton.
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = -
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 27
; EnableBuildCount = 0
; EnableExeConstant