﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "Module CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ImageGadget
  #TexteGadget
EndEnumeration
;}

OpenWindow(#Fenetre, 327, 177, 655, 330, "Image Bouton...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)

ButtonColor::Create(#ButtonGadgetColor0, 10, 10, 175, 60, "Bouton Commande", RGBA(0, 0, 255, 150), 0, 1) ; Bouton Style simple.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_DefautBorderColorNoActivate, RGBA(0, 0, 255, 255))    ; Change la couleur de la Bordure du Bouton Normale.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))      ; Change la couleur de la Bordure du Bouton Activé (Interupteur On).
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_ColorMaskButtonOver, RGBA(255, 200, 0, 50))           ; Change la Couleur du Masque du Bouton quand la Souris passe sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_ColorMaskButtonClick, RGBA(255, 0, 25, 50))           ; Change la Couleur du Masque du Bouton celui-ci est Pressé.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_ColorCorners, RGBA(220, 220, 220, 255))               ; Change la couleur des Coins du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor0)                                                                              ; Redessine le Bouton avec ses nouvelles Valeurs.

TextGadget(#TexteGadget, 10, 85, 175, 15, "Image du Bouton:", #PB_Text_Center)
ImageGadget(#ImageGadget, 10, 105, 175, 60, ButtonColor::GetImageID(#ButtonGadgetColor0))

Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventType = EventType()    ; Le type d'évènement qui s'est produit sur le gadget.
  
  Select Event
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor0
          
          Select EventType()
              
            Case #PB_EventType_MouseMove
              
              ; Indispenssable pour ne pas répéter en boucle les actions qui nuirait bon fonctionnement du programme.
              If ButtonColor::GetState(#ButtonGadgetColor0, ButtonColor::#BC_StateMouseOver) <> InterupteurDrawButtonGadgetColor1.b
                InterupteurDrawButtonGadgetColor1.b = ButtonColor::GetState(#ButtonGadgetColor0, ButtonColor::#BC_StateMouseOver)
                SetGadgetState(#ImageGadget, ButtonColor::GetImageID(#ButtonGadgetColor0))
              EndIf
              
            Case #PB_EventType_MouseEnter
              SetGadgetState(#ImageGadget, ButtonColor::GetImageID(#ButtonGadgetColor0))
              
            Case #PB_EventType_MouseLeave
              SetGadgetState(#ImageGadget, ButtonColor::GetImageID(#ButtonGadgetColor0))
              InterupteurDrawButtonGadgetColor1.b = #False
              
            Case #PB_EventType_LeftButtonDown
              SetGadgetState(#ImageGadget, ButtonColor::GetImageID(#ButtonGadgetColor0))
              
            Case #PB_EventType_LeftButtonUp
              
            Case #PB_EventType_LeftClick
              SetGadgetState(#ImageGadget, ButtonColor::GetImageID(#ButtonGadgetColor0))
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = -
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 44
; EnableBuildCount = 0
; EnableExeConstant
; EnableUnicode