﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ButtonGadgetColor1
  #ButtonGadgetColor2
  #ButtonGadgetColor3
  #ButtonGadgetColor4
  #ButtonGadgetColor5
EndEnumeration
;}

UsePNGImageDecoder()

OpenWindow(#Fenetre, 327, 177, 630, 330, "Bouton avec Texte MultiLigne...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)

CreateButtonColor(#ButtonGadgetColor0, 10, 10, 100, 60, "Bouton coloré Défaut avec Texte MultiLigne", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_Style, #BC_StyleDefault)                                                   ; Change de Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_TexMultiLine, #True)                                                       ; Active le Texte Multi-Lignes du Bouton.
RedrawButtonColor(#ButtonGadgetColor0)                                                                                      ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor1, 120, 10, 100, 60, "Bouton coloré Single avec Texte MultiLigne", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_Style, #BC_StyleSingle)                                                     ; Change de Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_TexMultiLine, #True)                                                        ; Active le Texte Multi-Lignes du Bouton.
RedrawButtonColor(#ButtonGadgetColor1)                                                                                       ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor2, 10, 80, 100, 60, "Bouton coloré Flat avec Texte MultiLigne", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_Style, #BC_StyleFlat)                                                    ; Change de Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_TexMultiLine, #True)                                                     ; Active le Texte Multi-Lignes du Bouton.
RedrawButtonColor(#ButtonGadgetColor2)                                                                                    ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor3, 120, 80, 100, 60, "Bouton coloré Sans Bordure avec Texte MultiLigne", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_Style, #BC_StyleNoBorder)                                                         ; Change de Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_TexMultiLine, #True)                                                              ; Active le Texte Multi-Lignes du Bouton.
RedrawButtonColor(#ButtonGadgetColor3)                                                                                             ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor4, 10, 150, 100, 60, "Bouton coloré 3D avec Texte MultiLigne", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_Style, #BC_Style3D)                                                     ; Change de Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_TexMultiLine, #True)                                                    ; Active le Texte Multi-Lignes du Bouton.
RedrawButtonColor(#ButtonGadgetColor4)                                                                                   ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor5, 230, 10, 100, 120, "Bouton coloré 3D avec Texte MultiLigne Aligné en Bas", RGBA(0, 0, 255, 255)) ; Bouton Coloré Simple.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_Style, #BC_Style3D)                                                                    ; Change de Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_TexMultiLine, #True)                                                                   ; Active le Texte Multi-Lignes du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_TextOffSetX, 0)                                                                        ; Ajuste la Position du Texte sur le Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_TextOffSetY, 28)                                                                       ; Ajuste la Position du Texte sur le Bouton.
RedrawButtonColor(#ButtonGadgetColor5)                                                                                                  ; Redessine le Bouton avec ses nouvelles Valeurs.


Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventTimer = EventTimer()  ; Pour savoir sur quel Timer s'est produit l'évènement.
  EventType = EventType()    ; Pour savoir quel type d'évènement qui s'est produit sur le gadget.
  
  Select Event 
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor0
          
          Select EventType()
              
            Case #PB_EventType_MouseEnter
              
            Case #PB_EventType_MouseLeave
              
            Case #PB_EventType_MouseMove
              
            Case #PB_EventType_LeftButtonDown
              
            Case #PB_EventType_LeftButtonUp
              
            Case #PB_EventType_LeftClick
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = -
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 577
; EnableBuildCount = 0
; EnableExeConstant