﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ButtonGadgetColor1
  #ButtonGadgetColor2
  #ButtonGadgetColor3
  #ButtonGadgetColor4
  #ButtonGadgetColor5
  #ButtonGadgetColor6
  #ButtonGadgetColor7
  #ButtonGadgetColor8
  #ButtonGadgetColor9
  #ButtonGadgetColor10
EndEnumeration
;}

UsePNGImageDecoder()

OpenWindow(#Fenetre, 327, 177, 655, 330, "Bouton Divers LayerGradiant...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)
SetWindowColor(#Fenetre, RGB(220, 220, 220))

CreateButtonColor(#ButtonGadgetColor0, 10, 10, 175, 60, "Bouton Defaut Interupteur", RGBA(0, 0, 255, 150), 0, #True) ; Bouton Style Defaut.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_DefautBorderColorNoActivate, RGBA(0, 0, 255, 255))                  ; Change la couleur de la Bordure du Bouton Normale.
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))                    ; Change la couleur de la Bordure du Bouton Activé (Interupteur On).
SetButtonColorAttribute(#ButtonGadgetColor0, #BC_ColorCorners, RGBA(220, 220, 220, 255))                             ; Change la couleur des Coins du Bouton.
RedrawButtonColor(#ButtonGadgetColor0)                                                                               ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor1, 190, 10, 175, 60, "Bouton Single", RGBA(0, 0, 255, 150)) ; Bouton Style Single.
SetButtonColorAttribute(#ButtonGadgetColor1, #BC_Style, #BC_StyleSingle)                        ; Change le Style du Bouton.
RedrawButtonColor(#ButtonGadgetColor1)                                                          ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor2, 370, 10, 175, 60, "Bouton Flat Interupteur", RGBA(0, 0, 255, 150), 0, #True) ; Bouton Style Ftat.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_Style, #BC_StyleFlat)                                              ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_FlatBorderColorNoActivate, RGBA(0, 0, 255, 255))                   ; Change la couleur de la Bordure du Bouton Normale.
SetButtonColorAttribute(#ButtonGadgetColor2, #BC_FlatBorderColorActivate, RGBA(255, 0, 0, 255))                     ; Change la couleur de la Bordure du Bouton Activé (Interupteur On).
RedrawButtonColor(#ButtonGadgetColor2)                                                                              ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor3, 10, 75, 175, 60, "Bouton Sans Bordure", RGBA(0, 0, 255, 150)) ; Bouton Style Sans Bordure.
SetButtonColorAttribute(#ButtonGadgetColor3, #BC_Style, #BC_StyleNoBorder)                           ; Change la couleur des Coins du Bouton.
RedrawButtonColor(#ButtonGadgetColor3)                                                               ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor4, 190, 75, 175, 60, "Bouton 3D", RGBA(0, 0, 255, 150), 0) ; Bouton Style 3D.
SetButtonColorAttribute(#ButtonGadgetColor4, #BC_Style, #BC_Style3D)                           ; Change le Style du Bouton.
RedrawButtonColor(#ButtonGadgetColor4)                                                         ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor5, 10, 140, 175, 60, "Bouton Calque Defaut", RGBA(0, 0, 255, 150)) ; Bouton Style Defaut.
SetButtonColorLayerGradientColor(#ButtonGadgetColor5, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor5, #BC_ColorCorners, RGBA(220, 220, 220, 255))                                                                      ; Change la couleur des Coins du Bouton.
RedrawButtonColor(#ButtonGadgetColor5)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor6, 190, 140, 175, 60, "Bouton Calque Single", RGBA(0, 0, 255, 150)) ; Bouton Style Single.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_Style, #BC_StyleSingle)                                ; Change le Style du Bouton.
SetButtonColorLayerGradientColor(#ButtonGadgetColor6, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor6, #BC_ColorCorners, RGBA(240, 240, 240, 255))                                                                      ; Change la couleur des Coins du Bouton.
RedrawButtonColor(#ButtonGadgetColor6)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor7, 370, 140, 175, 60, "Bouton Calque Flat", RGBA(0, 0, 255, 150)) ; Bouton Style Flat.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_Style, #BC_StyleFlat)                                ; Change le Style du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor7, #BC_FlatBorderColorNoActivate, RGBA(255, 0, 0, 255))     ; Change la couleur de la Bordure du Bouton Normale.
SetButtonColorLayerGradientColor(#ButtonGadgetColor7, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
RedrawButtonColor(#ButtonGadgetColor7)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor8, 10, 205, 175, 60, "Bouton Calque Sans Bordure", RGBA(0, 0, 255, 150)) ; Bouton Style Sans Bordure.
SetButtonColorAttribute(#ButtonGadgetColor8, #BC_Style, #BC_StyleNoBorder)                                   ; Change le Style du Bouton.
SetButtonColorLayerGradientColor(#ButtonGadgetColor8, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
RedrawButtonColor(#ButtonGadgetColor8)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor9, 190, 205, 175, 60, "Bouton Calque 3D", RGBA(0, 0, 255, 150), 0) ; Bouton Style 3D.
SetButtonColorAttribute(#ButtonGadgetColor9, #BC_Style, #BC_Style3D)                                   ; Change le Style du Bouton.
SetButtonColorLayerGradientColor(#ButtonGadgetColor9, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
RedrawButtonColor(#ButtonGadgetColor9)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.

CreateButtonColor(#ButtonGadgetColor10, 370, 205, 175, 60, "Bouton Calque Defaut Office", RGBA(0, 0, 255, 150), 0, #True) ; Bouton Style Defaut.
SetButtonColorLayerGradientColor(#ButtonGadgetColor10, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
SetButtonColorAttribute(#ButtonGadgetColor10, #BC_ColorCorners, RGBA(220, 220, 220, 255))                                                                      ; Change la couleur des Coins du Bouton.
RedrawButtonColor(#ButtonGadgetColor10)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.


Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventType = EventType()    ; Le type d'évènement qui s'est produit sur le gadget.
  
  Select Event 
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor10
          
          Select EventType()
              
            Case #PB_EventType_MouseEnter
              SetButtonColorLayerGradientColor(#ButtonGadgetColor10, RGBA(255, 225, 195, 255), RGBA(255, 245, 235, 255), RGBA(255, 205, 105, 255), RGBA(255, 220, 125, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
              RedrawButtonColor(#ButtonGadgetColor10)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.
              
            Case #PB_EventType_MouseLeave
              SetButtonColorLayerGradientColor(#ButtonGadgetColor10, RGBA(235, 235, 235, 255), RGBA(242, 242, 242, 255), RGBA(221, 221, 221, 255), RGBA(207, 207, 207, 255)) ; Change les Couleurs du Dégradé du Calque du Bouton.
              RedrawButtonColor(#ButtonGadgetColor10)                                                                                                                        ; Redessine le Bouton avec ses nouvelles Valeurs.
              
            Case #PB_EventType_LeftButtonDown
              
              
            Case #PB_EventType_LeftButtonUp
              
              
            Case #PB_EventType_LeftClick
              
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = +
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 909
; EnableBuildCount = 0
; EnableExeConstant