﻿
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
; Exemple d'utilisation CreateButtonColor.
; --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

XIncludeFile "Module CreateButtonColor.pbi"

;{ Enumeration
Enumeration Fenetres  
  #Fenetre
EndEnumeration

Enumeration Gadgets
  #ButtonGadgetColor0
  #ButtonGadgetColor1
  #ButtonGadgetColor2
EndEnumeration
;}

UsePNGImageDecoder()

OpenWindow(#Fenetre, 327, 177, 655, 330, "Maître et Esclave...",  #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_ScreenCentered | #PB_Window_TitleBar)
SetWindowColor(#Fenetre, RGB(220, 220, 220))

ButtonColor::Create(#ButtonGadgetColor0, 10, 10, 175, 60, "Bouton Commande", RGBA(0, 0, 255, 150), 0, 1) ; Bouton Style simple.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_DefautBorderColorNoActivate, RGBA(0, 0, 255, 255))    ; Change la couleur de la Bordure du Bouton Normale.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))      ; Change la couleur de la Bordure du Bouton Activé (Interupteur On).
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_ColorMaskButtonOver, RGBA(255, 200, 0, 50))           ; Change la Couleur du Masque du Bouton quand la Souris passe sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_ColorMaskButtonClick, RGBA(255, 0, 25, 50))           ; Change la Couleur du Masque du Bouton celui-ci est Pressé.
ButtonColor::SetAttribute(#ButtonGadgetColor0, ButtonColor::#BC_ColorCorners, RGBA(220, 220, 220, 255))               ; Change la couleur des Coins du Bouton.
ButtonColor::Redraw(#ButtonGadgetColor0)                                                                              ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor1, 190, 10, 175, 60, "Bouton Commandé 1", RGBA(0, 0, 255, 150), 0, 0) ; Bouton Style simple.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_DefautBorderColorNoActivate, RGBA(0, 0, 255, 255))       ; Change la couleur de la Bordure du Bouton Normale.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la couleur de la Bordure du Bouton Activé (Interupteur On).
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_ColorMaskButtonOver, RGBA(255, 200, 0, 50))              ; Change la Couleur du Masque du Bouton quand la Souris passe sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_ColorMaskButtonClick, RGBA(255, 0, 25, 50))              ; Change la Couleur du Masque du Bouton celui-ci est Pressé.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_ColorCorners, RGBA(220, 220, 220, 255))                  ; Change la couleur des Coins du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor1, ButtonColor::#BC_MasterSlave, #ButtonGadgetColor0)                        ; Soumet le Bouton à un autre Bouton, Ce Bouton devient l'esclave d'un autre Bouton.
ButtonColor::Redraw(#ButtonGadgetColor1)                                                                                 ; Redessine le Bouton avec ses nouvelles Valeurs.

ButtonColor::Create(#ButtonGadgetColor2, 370, 10, 175, 60, "Bouton Commandé 2", RGBA(0, 0, 255, 150), 0, 1) ; Bouton Style simple.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_DefautBorderColorNoActivate, RGBA(0, 0, 255, 255))       ; Change la couleur de la Bordure du Bouton Normale.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_DefautBorderColorActivate, RGBA(255, 0, 0, 255))         ; Change la couleur de la Bordure du Bouton Activé (Interupteur On).
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_ColorMaskButtonOver, RGBA(255, 200, 0, 50))              ; Change la Couleur du Masque du Bouton quand la Souris passe sur le Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_ColorMaskButtonClick, RGBA(255, 0, 25, 50))              ; Change la Couleur du Masque du Bouton celui-ci est Pressé.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_ColorCorners, RGBA(220, 220, 220, 255))                  ; Change la couleur des Coins du Bouton.
ButtonColor::SetAttribute(#ButtonGadgetColor2, ButtonColor::#BC_MasterSlave, #ButtonGadgetColor0)                        ; Soumet le Bouton à un autre Bouton, ce Bouton devient l'esclave d'un autre Bouton.
ButtonColor::Redraw(#ButtonGadgetColor2)                                                                                 ; Redessine le Bouton avec ses nouvelles Valeurs.

Repeat ; Départ de la boucle des évènements.
  
  Event = WaitWindowEvent(1) ; Cette ligne attend pendant (Minuteur) qu'un évènement soit reçu par la fenêtre.
  EventGadget = EventGadget(); Pour savoir sur quel gadget s'est produit l'évènement.
  EventType = EventType()    ; Le type d'évènement qui s'est produit sur le gadget.
  
  Select Event
      
    Case #PB_Event_Gadget
      
      Select EventGadget
          
        Case #ButtonGadgetColor0
          
          Select EventType()
              
            Case #PB_EventType_MouseMove
              
            Case #PB_EventType_MouseEnter
              
            Case #PB_EventType_MouseLeave
              
            Case #PB_EventType_LeftButtonDown
              
            Case #PB_EventType_LeftButtonUp
              
            Case #PB_EventType_LeftClick
              
          EndSelect
          
      EndSelect
      
    Case #PB_Event_Menu
      
      Select EventMenu
          
        Case 0
          
      EndSelect
      
    Case #PB_Event_CloseWindow
      
      
  EndSelect
  
Until Event = #PB_Event_CloseWindow ; Fin de la boucle des évènements.

; IDE Options = PureBasic 5.60 (Windows - x64)
; Folding = +
; EnableXP
; EnableUser
; EnableOnError
; SubSystem = OpenGL
; EnableCompileCount = 208
; EnableBuildCount = 0
; EnableExeConstant